Problem Entering the Kiosk

The Student Kiosk server uses 128-bit encryption for security. If your browser is only 40-bit (which is the default for many old browser versions) then you will not be able to view the Kiosk.

It is recommended to upgrade your browser. Mozilla Firefox 3 or higher; Microsoft Internet Explorer 7 or higher; Apple Safari 3 or higher; Google Chrome;

If you are having difficulties using the Kiosk on older Internet Explorer or Netscape Navigator, try these hints.

For Internet Explorer 7 or higher

  1. Go to the Tools menu and select Internet Options...
  2. Select the Advanced Tab
  3. At the bottom of the list there is Security, check the Use SSL 2.0 and Use SSL 3.0

When finished Click the OK button and try opening the page again.

For Mozilla Firefox 3 or higher

  1. Go to the Edit menu and select Preferences
  2. Select the Advanced Tab
  3. Select the Encryption Tab
  4. Check the Use SSL 3.0 checkbox

When finished Click the OK button and try opening the page again.

Please include the following information (if known).

  1. What Operating System are you using? (ie Windows XP, Wndows Vista, Macintosh OS X, Linux, etc)
  2. What Web browser are you using? (ie Internet Explorer 6 or higher, Mozilla Firefox 2 or higher, Opera 6 or higher, etc)
  3. What connection do you have to the internet? (ie dial-up modem, high speed DSL or cable modem, T1 or other dedicated access)
  4. What is the error you are getting?
  5. When did it occur?

In your e-mail please include your Name and E-Mail address so we are able to contact you to help remedy any problems.

Thank you
Everett Community College Webmaster